Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class GenericFileName

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileName
          org.apache.commons.vfs.provider.GenericFileName

All Implemented Interfaces:
  Comparable, FileName

Direct Known Subclasses:
  URLFileName

public class GenericFileName
extends AbstractFileName

A file name that represents a 'generic' URI, as per RFC 2396. Consists of a scheme, userinfo (typically username and password), hostname, port, and path.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from interface org.apache.commons.vfs.FileName
`ROOT_PATH, SEPARATOR, SEPARATOR_CHAR`

Constructor Summary
`protected` | `GenericFileName(String scheme, String hostName, int port, int defaultPort, String userName, String password, String path, FileType type)`

Method Summary
`protected void` | `appendCredentials(StringBuffer buffer, boolean addPassword)` append the user credentials
`protected void` | `appendRootUri(StringBuffer buffer, boolean addPassword)` Builds the root URI for this file name.
`FileName` | `createName(String absPath, FileType type)` Factory method for creating name instances.
`int` | `getDefaultPort()` Returns the default port for this file name.
`String` | `getHostName()` Returns the host name part of this name.
`String` | `getPassword()` Returns the password part of this name.
`int` | `getPort()` Returns the port part of this name.
`String` | `getUserName()` Returns the user name part of this name.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileName
`checkName, compareTo, createURI, equals, getBaseName, getDepth, getExtension, getFriendlyURI, getParent, getPath, getPathDecoded, getRelativeName, getRoot, getRootURI, getScheme, getType, getURI, getUriTrailer, hashCode, isAncestor, isDescendent, isDescendent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericFileName

    protected GenericFileName(String scheme,
                              String hostName,
                              int port,
                              int defaultPort,
                              String userName,
                              String password,
                              String path,
                              FileType type)

Method Detail

### getUserName

    public String getUserName()

  Returns the user name part of this name.

### getPassword

    public String getPassword()

  Returns the password part of this name.

### getHostName

    public String getHostName()

  Returns the host name part of this name.

### getPort

    public int getPort()

  Returns the port part of this name.

### getDefaultPort

    public int getDefaultPort()

  Returns the default port for this file name.

### createName

    public FileName createName(String absPath,
                               FileType type)

  Description copied from class: `AbstractFileName`
  Factory method for creating name instances.

  Specified by:
    `createName` in class `AbstractFileName`

### appendRootUri

    protected void appendRootUri(StringBuffer buffer,
                                 boolean addPassword)

  Builds the root URI for this file name.

  Specified by:
    `appendRootUri` in class `AbstractFileName`

### appendCredentials

    protected void appendCredentials(StringBuffer buffer,
                                     boolean addPassword)

  append the user credentials

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.